<%
//BEGIN COPYRIGHT
//*************************************************************************
//
//	Licensed Materials - Property of IBM
//	5724-L01, 5655-N53, 5724-I82, 5655-R15
//	- Copyright IBM Corporation 2005,2007. All Rights Reserved.
//	US Government Users Restricted Rights- Use, duplication or disclosure
//	restricted by GSA ADP Schedule Contract with IBM Corp.
//
//*************************************************************************
//END COPYRIGHT
%>
<%@ page contentType="text/html;charset=UTF-8" %>

<%@ taglib uri="/WEB-INF/tld/WCLTagLib.tld" prefix="wcl" %>

<%@ page import="com.ibm.wbiserver.cbebrowser.CBEBrowserNlsUtilities"%>
<%@ page import="com.ibm.wbiserver.cbebrowser.ui.ICBEBrowserConstants"%>
<%@ page import="com.ibm.wbiserver.cbebrowser.utils.FeatureChecker"%>

<!-- Obtain translated strings up front
-->
<%
java.util.Locale locale = request.getLocale();
String contextPath = request.getContextPath();
String geteventsString = CBEBrowserNlsUtilities.getNonMessageString( locale, "HYPERLINKTEXT.BANNER.GETEVENTS" );
String viewallUrl = contextPath + "/events?view=viewall";
String viewbpelprocessesUrl = contextPath + "/events?view=viewbpelprocesses";
String viewuserdataUrl = contextPath + "/events?view=viewuserdata";
String viewserversUrl = contextPath + "/events?view=viewservers";
String hdgNavigatorViewGroup = CBEBrowserNlsUtilities.getNonMessageString( locale, "HEADING.NAVIGATOR.VIEWGROUP" );
String textNavigatorViewAll = CBEBrowserNlsUtilities.getNonMessageString( locale, "TEXT.NAVIGATOR.VIEWALL" );
String textNavigatorViewBPELProcesses = CBEBrowserNlsUtilities.getNonMessageString( locale, "TEXT.NAVIGATOR.VIEWBPELPROCESSES" );
String textNavigatorViewUserData = CBEBrowserNlsUtilities.getNonMessageString( locale, "TEXT.NAVIGATOR.VIEWUSERDATA" );
String textNavigatorViewServers = CBEBrowserNlsUtilities.getNonMessageString( locale, "TEXT.NAVIGATOR.VIEWSERVERS" );
Integer numberEvents = null;
numberEvents = (Integer)session.getAttribute( ICBEBrowserConstants.SESSATTR_NUMBEREVENTS );
if ( numberEvents == null ) numberEvents = new Integer( 0 );
String textNumberEvents = CBEBrowserNlsUtilities.getNonMessageString( locale, "TEXT.NAVIGATOR.NUMBEREVENTS", new Object[] { numberEvents } );
%>

<!--
** This is the navigator page that contains hyperlinks to all of the event views.
** This view jsp is driven by the CBEBrowserEventsServlet modeller and controller.
-->

<%
if (session.getAttribute("CBEBrowser.wclFacade")!=null)
{
%>

<wcl:Foundation
  objectScope="session"
  pageName="<%=ICBEBrowserConstants.PAGENAME_NAVIGATOR%>"
  wclFacadeScope="session"
  wclFacadeScopeId="<%=ICBEBrowserConstants.SESSATTR_WCL_FACADE%>">
  
  <HTML>

    <HEAD dir=LTR>
      <LINK HREF="<%=request.getContextPath()%>/resources/css/style.css" REL="stylesheet" type="text/css">  
    </HEAD>

    <BODY dir=LTR>        
      
      <wcl:WForm
        objectScopeId="<%=ICBEBrowserConstants.FORMNAME_NAVIGATOR%>"
        name="<%=ICBEBrowserConstants.FORMNAME_NAVIGATOR%>"
        method="POST"
        componentOrientation="ltr"
        >
                
        <wcl:WBoxLayout
          objectScopeId="<%=ICBEBrowserConstants.LAYOUTNAME_NAVIGATOR%>"
          orientation="vertical"
          width="100%"
          gap="20"
          componentOrientation="ltr"
          >
          
          <wcl:WBoxLayoutCell
            align="topleft">
            
            <wcl:WBoxLayout
              objectScopeId="<%=ICBEBrowserConstants.LAYOUTNAME_VIEWGROUP%>"
              orientation="vertical"
              width="100%"
              gap="0"
              componentOrientation="ltr"
              >
              
              <wcl:WBoxLayoutCell>
              
                <wcl:WContainer
                  objectScopeId="navHolder01"
                  componentOrientation="ltr"
                  >
        
                  <DIV dir=LTR class="navigation-title"><%=hdgNavigatorViewGroup%></DIV>
                          
                </wcl:WContainer>
                      
              </wcl:WBoxLayoutCell>
              
              <wcl:WBoxLayoutCell>
              
                <wcl:WContainer
                  objectScopeId="navHolder02"
                  componentOrientation="ltr"
                  >
        
                  <DIV dir=LTR class="navigation-itemgroup">
              
                    <wcl:WBoxLayout
                      objectScopeId="<%=ICBEBrowserConstants.LAYOUTNAME_VIEWITEMGROUP%>"
                      orientation="vertical"
                      width="null"
                      componentOrientation="ltr"
                      >
                      
                      <wcl:WBoxLayoutCell>
              
                        <wcl:WContainer
                          objectScopeId="navHolder03"
                          componentOrientation="ltr"
                          >
        
                          <DIV
                            dir=LTR class="navigation-item">
          
                            <wcl:WHyperlink
                              objectScopeId="<%=ICBEBrowserConstants.HYPERLINK_VIEWALL%>"
                              text="<%=textNavigatorViewAll%>"
                              url="<%=viewallUrl%>"
                              target="<%=ICBEBrowserConstants.FRAMENAME_VIEW%>"
                            />
          
                          </DIV>
                          
                        </wcl:WContainer>                      
                      
                      </wcl:WBoxLayoutCell>
                      
                      <%
                      if(FeatureChecker.isBPCEnabled())
                      {  
                          //if the production is BPC enabled, 
                          //should show "BPEL Process Events" link
                      %>
	                      <wcl:WBoxLayoutCell>
	              
	                        <wcl:WContainer
	                          objectScopeId="navHolder04"
	                          componentOrientation="ltr"
	                          >
	        
	                          <DIV
	                            dir=LTR class="navigation-item">
	          
	                            <wcl:WHyperlink
	                              objectScopeId="<%=ICBEBrowserConstants.HYPERLINK_VIEWBPELPROCESSES%>"
	                              text="<%=textNavigatorViewBPELProcesses%>"
	                              url="<%=viewbpelprocessesUrl%>"
	                              target="<%=ICBEBrowserConstants.FRAMENAME_VIEW%>"
	                            />
	          
	                          </DIV>
	                          
	                        </wcl:WContainer>                      
	                      
	                      </wcl:WBoxLayoutCell>
                      <%
                      } //end if
                      %>                                            
                      <wcl:WBoxLayoutCell>
              
                        <wcl:WContainer
                          objectScopeId="navHolder05"
                          componentOrientation="ltr"
                          >
        
                          <DIV
                            dir=LTR class="navigation-item">
          
                            <wcl:WHyperlink
                              objectScopeId="<%=ICBEBrowserConstants.HYPERLINK_VIEWUSERDATA%>"
                              text="<%=textNavigatorViewUserData%>"
                              url="<%=viewuserdataUrl%>"
                              target="<%=ICBEBrowserConstants.FRAMENAME_VIEW%>"
                            />
          
                          </DIV>
                          
                        </wcl:WContainer>                      
                      
                      </wcl:WBoxLayoutCell>
                      
                      <wcl:WBoxLayoutCell>
              
                        <wcl:WContainer
                          objectScopeId="navHolder06"
                          componentOrientation="ltr"
                          >
        
                          <DIV
                            dir=LTR  class="navigation-item">
          
                            <wcl:WHyperlink
                              objectScopeId="<%=ICBEBrowserConstants.HYPERLINK_VIEWSERVERS%>"
                              text="<%=textNavigatorViewServers%>"
                              url="<%=viewserversUrl%>"
                              target="<%=ICBEBrowserConstants.FRAMENAME_VIEW%>"
                            />
          
                          </DIV>
                          
                        </wcl:WContainer>                      
                      
                      </wcl:WBoxLayoutCell>
                                            
                    </wcl:WBoxLayout>
                                    
                  </DIV>
                          
                </wcl:WContainer>
                
              </wcl:WBoxLayoutCell>              
                            
            </wcl:WBoxLayout>
            
          </wcl:WBoxLayoutCell>
          
          <wcl:WBoxLayoutCell
            align="bottomleft">
            
            <wcl:WContainer
              objectScopeId="navHolder07"
              componentOrientation="ltr"
              >
              
              <DIV dir=LTR class="navigation-text"><%=textNumberEvents%></DIV>
              
            </wcl:WContainer>
            
          </wcl:WBoxLayoutCell>
                    
        </wcl:WBoxLayout>      
        
      </wcl:WForm>
      
    </BODY>

  </HTML>
  
</wcl:Foundation>

<%
}
%>
